# Redis



https://digitalboxweb.wordpress.com/2020/02/01/redis-sur-nas-synology/



### Installation:

1. Ajouter le repo **DigitalBox** comme source de paquets (http://digital.box.free.fr/sspks)

2. Depuis le Centre de paquets, installer le paquet **Redis**.

3. Vérifier que **Redis** est correctement installé:

   ```bash
   cd /var/packages/redis/target/bin
   total 3676
   drwxr-xr-x 1 sc-redis sc-redis     160 Jul 26 09:43 .
   drwxr-xr-x 1 sc-redis sc-redis      18 Nov 10 09:21 ..
   -rwxr-xr-x 1 sc-redis sc-redis  892760 Jul 26 09:43 redis-benchmark
   lrwxrwxrwx 1 sc-redis sc-redis      12 Jul 26 09:43 redis-check-aof -> redis-server
   lrwxrwxrwx 1 sc-redis sc-redis      12 Jul 26 09:43 redis-check-rdb -> redis-server
   -rwxr-xr-x 1 sc-redis sc-redis  835832 Jul 26 09:43 redis-cli
   lrwxrwxrwx 1 sc-redis sc-redis      12 Jul 26 09:43 redis-sentinel -> redis-server
   -rwxr-xr-x 1 sc-redis sc-redis 2018008 Jul 26 09:43 redis-server
   ```
   ```bash title="Tester l'installation de redis"
   ./redis-cli
   127.0.0.1:6379> ping
   PONG
   ```



### Configuration:

Activer **Redis** dans PHP:

Redis n'est pas proposé dans les extensions, bien que le module soit présent..

```bash
ls /volume1/@appstore/PHP8.0/usr/local/lib/php80/modules/redis.so
/volume1/@appstore/PHP8.0/usr/local/lib/php80/modules/redis.so
```

```bash title="Editer le fichier extension.ini"
sudo nano /usr/local/etc/php80/cli/conf.d/extension.ini

# Ajouter la ligne extension = redis.so juste après posix.po
```

```bash title="Editer le fichier extension_list.json"
sudo nano /volume1/@appstore/PHP7.3/misc/extension_list.json

# Ajouter le bloc suivant après le bloc posix
"redis": {
"enable_default": true,
"desc": "The phpredis extension provides an API for communicating with the Redis key-value store."
},
```



**Redis** est maintenant disponible dans les extensions PHP. On l'active.



### Nextcloud:

A ajouter dans le fichier de configuration `/volume1/web/nextcloud/config/config.php`:

```php
'memcache.distributed' => '\\OC\\Memcache\\Redis',
  'memcache.locking' => '\\OC\\Memcache\\Redis',
  'memcache.local' => '\\OC\\Memcache\\APCu',
  'redis' =>
  array (
    'host' => '/sockets/redis.socket',
    'port' => 0,
    'password' => '[PASSWORD]',
    'timeout' => 1.5,
  ),
```

